Journeys

Get a journey run (Preview)

Preview · Available to selected organizations. Returns one run with every node it entered, in order: when it entered and left, how it left, and the message a send node created.

GET
/v1/journeys/{id}/runs/{runId}

Returns one run with every node it entered, in order: when it entered and left, how it left, and the message a send node created.

x-api-key<token>

In: header

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$
runId*string
Match^jrun_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/journeys/string/runs/string"
{  "id": "string",  "journeyId": "string",  "version": -9007199254740991,  "contactId": "string",  "status": "active",  "exitReason": "completed",  "failureReason": "string",  "currentNodeId": "string",  "holdReason": "string",  "holdUntil": "string",  "trigger": {    "eventId": "string",    "eventName": "string",    "properties": {      "property1": "string",      "property2": "string"    }  },  "enteredAt": "string",  "endedAt": "string",  "steps": [    {      "nodeId": "string",      "type": "string",      "enteredAt": "string",      "completedAt": "string",      "outcome": "completed",      "nextNodeId": "string",      "messageId": "string",      "error": "string"    }  ]}

Related documentation